/* Generated from Gabble-specific extensions to the Telepathy interfaces

Copyright (C) 2007 Collabora Limited

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 *
GabbleLocationAccuracyLevel:
 * @GABBLE_LOCATION_ACCURACY_LEVEL_NONE: <![CDATA[           The accuracy is unspecified.         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_COUNTRY: <![CDATA[           The location indicates the contact's country.         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_REGION: <![CDATA[           The location indicates the contact's region within a country.         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_LOCALITY: <![CDATA[           The location indicates the contact's locality within a region           (e.g. the correct city).         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_POSTAL_CODE: <![CDATA[           The location indicates the correct postal code.         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_STREET: <![CDATA[           The location indicates the correct street.         ]]>
 * @GABBLE_LOCATION_ACCURACY_LEVEL_DETAILED: <![CDATA[           The location's accuracy is given by the error, horizontal-error-m           and/or vertical-error-m keys.         ]]>
 *
 * <![CDATA[         A location accuracy level. This should be kept in sync with         GeoclueAccuracyLevel in the Geoclue project.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    GABBLE_LOCATION_ACCURACY_LEVEL_NONE = 0,
    GABBLE_LOCATION_ACCURACY_LEVEL_COUNTRY = 1,
    GABBLE_LOCATION_ACCURACY_LEVEL_REGION = 2,
    GABBLE_LOCATION_ACCURACY_LEVEL_LOCALITY = 3,
    GABBLE_LOCATION_ACCURACY_LEVEL_POSTAL_CODE = 4,
    GABBLE_LOCATION_ACCURACY_LEVEL_STREET = 5,
    GABBLE_LOCATION_ACCURACY_LEVEL_DETAILED = 6,
} GabbleLocationAccuracyLevel;

/**
 * NUM_GABBLE_LOCATION_ACCURACY_LEVELS:
 *
 * 1 higher than the highest valid value of #GabbleLocationAccuracyLevel.
 */
#define NUM_GABBLE_LOCATION_ACCURACY_LEVELS (6+1)

/**
 *
GabbleTubeChannelState:
 * @GABBLE_TUBE_CHANNEL_STATE_LOCAL_PENDING: <![CDATA[           The initiator offered the tube. The tube is waiting to be           accepted/closed locally. If the client accepts the tube, the tube's           state will be Open.         ]]>
 * @GABBLE_TUBE_CHANNEL_STATE_REMOTE_PENDING: <![CDATA[           The tube is waiting to be accepted/closed remotely. If the           recipient accepts the tube, the tube's state will be Open.         ]]>
 * @GABBLE_TUBE_CHANNEL_STATE_OPEN: <![CDATA[           The initiator offered the tube and the recipient accepted it. The           tube is open for traffic. The tube's state stays in this state until           it is closed.         ]]>
 * @GABBLE_TUBE_CHANNEL_STATE_NOT_OFFERED: <![CDATA[           The tube channel has been requested but the tube is not yet offered.           The client should offer the tube to the recipient and the tube's           state will be Remote_Pending. The method to offer the tube depend on           the tube type.         ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    GABBLE_TUBE_CHANNEL_STATE_LOCAL_PENDING = 0,
    GABBLE_TUBE_CHANNEL_STATE_REMOTE_PENDING = 1,
    GABBLE_TUBE_CHANNEL_STATE_OPEN = 2,
    GABBLE_TUBE_CHANNEL_STATE_NOT_OFFERED = 3,
} GabbleTubeChannelState;

/**
 * NUM_GABBLE_TUBE_CHANNEL_STATES:
 *
 * 1 higher than the highest valid value of #GabbleTubeChannelState.
 */
#define NUM_GABBLE_TUBE_CHANNEL_STATES (3+1)


#ifdef __cplusplus
}
#endif
